summaryrefslogtreecommitdiff
path: root/dev-ruby/rspec-core
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/rspec-core
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/rspec-core')
-rw-r--r--dev-ruby/rspec-core/Manifest2
-rw-r--r--dev-ruby/rspec-core/metadata.xml14
-rw-r--r--dev-ruby/rspec-core/rspec-core-3.13.3.ebuild102
-rw-r--r--dev-ruby/rspec-core/rspec-core-3.13.6.ebuild103
4 files changed, 221 insertions, 0 deletions
diff --git a/dev-ruby/rspec-core/Manifest b/dev-ruby/rspec-core/Manifest
new file mode 100644
index 000000000000..25a83903f80d
--- /dev/null
+++ b/dev-ruby/rspec-core/Manifest
@@ -0,0 +1,2 @@
+DIST rspec-core-3.13.3-git.tgz 916455 BLAKE2B 911e2ed5872cbd6b3531b736bc4fc901ac70b7742c7b3a28026d65824dbf291c29b9f911374f13acf29beffa0ba588e369555d3b5e5054f2bd7bd833ac757e6a SHA512 decceb71366a0baa5b690a1f58224f340b8559bef90f5fdfd0a0066d884db7b32c4cf841959776eeab41b7285d77e6e1cb7ee8b11c436361ac95e133d41f7aa0
+DIST rspec-core-3.13.6-git.tgz 920586 BLAKE2B 9080309028bacd1384ff9228335f9dad7f69c9e80c7cb26de8b98f999c0199e678061c93c8a3239861301267c6561c8d237669093777f5d5d41c0c5f54dde019 SHA512 404a2a6eb2dce3d35f2cee940e30575e1501757897f219d41770fd6e37eac62e2ce10ea8545d93a98850be600dfcf1b744ad91d0ea82940df39236a563f8b376
diff --git a/dev-ruby/rspec-core/metadata.xml b/dev-ruby/rspec-core/metadata.xml
new file mode 100644
index 000000000000..9aea12d28e9a
--- /dev/null
+++ b/dev-ruby/rspec-core/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <use>
+ <flag name="highlight">
+ Enable source code highlighting via <pkg>dev-ruby/coderay</pkg>
+ </flag>
+ </use>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/rspec-core/rspec-core-3.13.3.ebuild b/dev-ruby/rspec-core/rspec-core-3.13.3.ebuild
new file mode 100644
index 000000000000..22dab15292cc
--- /dev/null
+++ b/dev-ruby/rspec-core/rspec-core-3.13.3.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+# Also install this custom path since internal paths depend on it.
+RUBY_FAKEGEM_EXTRAINSTALL="exe"
+
+RUBY_FAKEGEM_GEMSPEC="rspec-core.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-core"
+SRC_URI="https://github.com/rspec/rspec/archive/${PN}-v${PV}.tar.gz -> ${P}-git.tgz"
+RUBY_S="rspec-${PN}-v${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos ~x64-solaris"
+IUSE="highlight test"
+
+SUBVERSION="$(ver_cut 1-2)"
+
+DEPEND+="test? ( dev-vcs/git )"
+
+ruby_add_rdepend "
+ =dev-ruby/rspec-support-${SUBVERSION}*
+ highlight? ( >=dev-ruby/coderay-1.1.1 )
+"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/nokogiri-1.5.2
+ >=dev-ruby/coderay-1.1.1
+ dev-ruby/syntax
+ >=dev-ruby/thread_order-1.1.0
+ >=dev-ruby/rspec-expectations-3.8.0:3
+ >=dev-ruby/rspec-mocks-2.99.0:3
+ >=dev-ruby/rspec-support-3.9.1:3
+ )"
+
+all_ruby_prepare() {
+ # Don't set up bundler: it doesn't understand our setup.
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # Avoid dependency on cucumber since we can't run the features anyway.
+ sed -i -e '/[Cc]ucumber/ s:^:#:' Rakefile || die
+
+ # Duplicate exe also in bin. We can't change it since internal stuff
+ # also depends on this and fixing that is going to be fragile. This
+ # way we can at least install proper bin scripts.
+ cp -R exe bin || die
+
+ # Avoid unneeded dependency on git.
+ sed -i -e 's/git ls-files --/find/' rspec-core.gemspec || die
+
+ # Avoid aruba dependency so that we don't end up in dependency hell.
+ sed -i -e '/ArubaLoader/,/^end/ s:^:#:' -e '/Aruba/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/support/aruba_support.rb || die
+ rm -f spec/integration/{bisect_runners,failed_line_detection,filtering,order,persistence_failures,suite_hooks_errors}_spec.rb || die
+ rm -f spec/integration/{spec_file_load_errors,output_stream,fail_if_no_examples}_spec.rb || die
+
+ # Avoid a spec failing due to path issues
+ sed -i -e '/does not load files in the default path when run by ruby/,/end/ s:^:#:' \
+ spec/rspec/core/configuration_spec.rb || die
+
+ # Avoid a spec that depends on dev-ruby/rspec to lessen circular
+ # dependencies, bug 662328
+ sed -e '/loads mocks and expectations when the constants are referenced/askip "gentoo: bug 662328"' \
+ -i spec/rspec/core_spec.rb || die
+
+ # Avoid a spec depending on specifics on local networks
+ # This fails when localhost resolves to ::1 which may be a
+ # ruby regression in the drb/acl code.
+ rm -f spec/rspec/core/bisect/server_spec.rb || die
+
+ # Avoid old regression check (already fixed upstream)
+ sed -i -e '/uses only one thread local variable/askip "old safety check"' spec/rspec/core_spec.rb || die
+
+ # Avoid specs that fail when dev-ruby/uri is installed
+ sed -e '/running_in_drb/ s/describe/xdescribe/' \
+ -i spec/rspec/core/runner_spec.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby -e:'${RUBY}' -e:' spec/rspec/core_spec.rb || die
+}
+
+each_ruby_test() {
+ PATH="${S}/bin:${PATH}" RUBYLIB="${S}/lib" ${RUBY} -Ilib bin/rspec spec || die "Tests failed."
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rspec /usr/bin/rspec-3 'gem "rspec", "~>3.0"'
+}
diff --git a/dev-ruby/rspec-core/rspec-core-3.13.6.ebuild b/dev-ruby/rspec-core/rspec-core-3.13.6.ebuild
new file mode 100644
index 000000000000..e83aa654428c
--- /dev/null
+++ b/dev-ruby/rspec-core/rspec-core-3.13.6.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+# Also install this custom path since internal paths depend on it.
+RUBY_FAKEGEM_EXTRAINSTALL="exe"
+
+RUBY_FAKEGEM_GEMSPEC="rspec-core.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-core"
+SRC_URI="https://github.com/rspec/rspec/archive/${PN}-v${PV}.tar.gz -> ${P}-git.tgz"
+RUBY_S="rspec-${PN}-v${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos ~x64-solaris"
+IUSE="highlight test"
+
+SUBVERSION="$(ver_cut 1-2)"
+
+DEPEND+="test? ( dev-vcs/git )"
+
+ruby_add_rdepend "
+ =dev-ruby/rspec-support-${SUBVERSION}*
+ highlight? ( >=dev-ruby/coderay-1.1.1 )
+"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/nokogiri-1.5.2
+ >=dev-ruby/coderay-1.1.1
+ dev-ruby/syntax
+ >=dev-ruby/thread_order-1.1.0
+ >=dev-ruby/rspec-expectations-3.8.0:3
+ >=dev-ruby/rspec-mocks-2.99.0:3
+ >=dev-ruby/rspec-support-3.9.1:3
+ )"
+
+all_ruby_prepare() {
+ # Don't set up bundler: it doesn't understand our setup.
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # Avoid dependency on cucumber since we can't run the features anyway.
+ sed -i -e '/[Cc]ucumber/ s:^:#:' Rakefile || die
+
+ # Duplicate exe also in bin. We can't change it since internal stuff
+ # also depends on this and fixing that is going to be fragile. This
+ # way we can at least install proper bin scripts.
+ cp -R exe bin || die
+
+ # Avoid unneeded dependency on git.
+ sed -i -e 's/git ls-files --/find/' rspec-core.gemspec || die
+
+ # Avoid aruba dependency so that we don't end up in dependency hell.
+ sed -i -e '/ArubaLoader/,/^end/ s:^:#:' -e '/Aruba/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/support/aruba_support.rb || die
+ rm -f spec/integration/{bisect_runners,failed_line_detection,filtering,order,persistence_failures,suite_hooks_errors}_spec.rb || die
+ rm -f spec/integration/{spec_file_load_errors,output_stream,fail_if_no_examples}_spec.rb || die
+
+ # Avoid a spec failing due to path issues
+ sed -i -e '/does not load files in the default path when run by ruby/,/end/ s:^:#:' \
+ spec/rspec/core/configuration_spec.rb || die
+
+ # Avoid a spec that depends on dev-ruby/rspec to lessen circular
+ # dependencies, bug 662328
+ sed -e '/loads mocks and expectations when the constants are referenced/askip "gentoo: bug 662328"' \
+ -i spec/rspec/core_spec.rb || die
+
+ # Avoid a spec depending on specifics on local networks
+ # This fails when localhost resolves to ::1 which may be a
+ # ruby regression in the drb/acl code.
+ rm -f spec/rspec/core/bisect/server_spec.rb || die
+
+ # Avoid old regression check (already fixed upstream)
+ sed -i -e '/uses only one thread local variable/askip "old safety check"' spec/rspec/core_spec.rb || die
+
+ # Avoid specs that fail when dev-ruby/uri is installed
+ sed -e '/running_in_drb/ s/describe/xdescribe/' \
+ -i spec/rspec/core/runner_spec.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby -e:'${RUBY}' -e:' spec/rspec/core_spec.rb || die
+}
+
+each_ruby_test() {
+ PATH="${S}/bin:${PATH}" RUBYLIB="${S}/lib" ${RUBY} -Ilib bin/rspec spec || die "Tests failed."
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rspec /usr/bin/rspec-3 'gem "rspec", "~>3.0"'
+}